org.flexdock.docking.adapter

## Class DockingAdapter

- java.lang.Object
- - org.flexdock.docking.adapter.DockingAdapter

-     public class DockingAdapter
      extends Object

  Author:
    Christopher Butler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getComponent()`
    `Icon` | `getDockbarIcon()`
    `List` | `getDragSources()`
    `Set` | `getFrameDragSources()`
    `String` | `getPersistentId()`
    `String` | `getTabText()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getComponent

          public Component getComponent()

    - #### getDragSources

          public List getDragSources()

    - #### getFrameDragSources

          public Set getFrameDragSources()

    - #### getPersistentId

          public String getPersistentId()

    - #### getDockbarIcon

          public Icon getDockbarIcon()

    - #### getTabText

          public String getTabText()